<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0"
		xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
		xmlns:java="http://xml.apache.org/xslt/java"
		xmlns:util="xalan://org.greenstone.gsdl3.util.XSLTUtil"
		xmlns:gslib="http://www.greenstone.org/skinning"
		xmlns:gsf="http://www.greenstone.org/greenstone3/schema/ConfigFormat"
		extension-element-prefixes="java util"
		exclude-result-prefixes="java util gsf">

  <xsl:variable name="sparqlEndpointProtocol">http</xsl:variable>

  <!-- Apache Jena Fuseki v3 -->
  
  <xsl:variable name="sparqlEndpointHostAndOptPort">localhost:4040</xsl:variable> <!-- **** External IP? **** -->
  <xsl:variable name="sparqlGraphBasePrefix">http://localhost:8383</xsl:variable> <!-- **** External IP? **** -->

  <xsl:variable name="sparqlEndpointPrefix1"></xsl:variable>
  <xsl:variable name="sparqlEndpointPrefix3"></xsl:variable>
  <xsl:variable name="sparqlEndpoint3">http://localhost:4040</xsl:variable>       <!-- **** External IP ? **** -->

  <!--
  <xsl:variable name="sparqlEndpointHostAndOptPort">so-we-must-think.space</xsl:variable>
  <xsl:variable name="sparqlGraphBasePrefix">https://so-we-must-think.space</xsl:variable> 

  <xsl:variable name="sparqlEndpointPrefix3">/greenstone3-lod3</xsl:variable>
  <xsl:variable name="sparqlEndpointPrefix1">/greenstone3-lod</xsl:variable>
  <xsl:variable name="sparqlEndpoint3">https://so-we-must-think.space/greenstone3-lod3</xsl:variable>
  -->
  
  <!--
  <xsl:variable name="sparqlEndpointProtocol">https</xsl:variable>

  <xsl:variable name="sparqlEndpointHostAndOptPort">so-we-must-think.space</xsl:variable>
  <xsl:variable name="sparqlEndpointHostAndOptPortAlt">sowemustthink.space</xsl:variable>

  <xsl:variable name="sparqlGraphBasePrefix">https://so-we-must-think.space</xsl:variable>

  <xsl:variable name="sparqlEndpointPrefix1">/greenstone3-lod</xsl:variable>
  <xsl:variable name="sparqlEndpointPrefix3">/greenstone3-lod3</xsl:variable>

  <xsl:variable name="sparqlEndpoint1">https://so-we-must-think.space/greenstone3-lod</xsl:variable>
  <xsl:variable name="sparqlEndpoint3">https://so-we-must-think.space/greenstone3-lod3</xsl:variable>
  -->
  
  <!-- ***** BROWSING TABS ***** -->
  <xsl:template name="browsing-tabs">
    <gsf:style src="sites/{$site_name}/collect/{$collName}/css/eurovision.css"/>    
    <gsf:script src="sites/{$site_name}/collect/{$collName}/js/eurovision.js"/>

    <xsl:if test="/page/pageResponse/collection[@name=$collNameChecked]/serviceList/service or /page/pageResponse/collection[@name=$collNameChecked]/extraInfo/navigationTab">
      <ul id="gs-nav">
	<!-- if this collection has additional tabs, add them here -->
	<xsl:call-template name="additionalNavTabs"/>
	<!-- If this collection has a ClassifierBrowse service then add a tab for each classifier-->
	<xsl:if test="/page/pageResponse/collection[@name=$collNameChecked]/serviceList/service[@type='browse' and @name='ClassifierBrowse']">
	  <!-- Loop through each classifier -->
	  <xsl:for-each select="/page/pageResponse/collection[@name=$collNameChecked]/serviceList/service[@name='ClassifierBrowse']/classifierList/classifier">
	    <li>
	      <xsl:choose>
		<!-- If this tab is selected then colour it differently -->
		<xsl:when test="util:contains(/page/pageRequest/paramList/param[@name = 'cl' and /page/pageRequest/@action = 'b']/@value, @name)">
		  <xsl:attribute name='class'>ui-state-default ui-corner-top ui-tabs-selected ui-state-active</xsl:attribute>
		</xsl:when>
		<xsl:otherwise>
		  <xsl:attribute name='class'>ui-state-default ui-corner-top</xsl:attribute>
		</xsl:otherwise>
	      </xsl:choose>
	      
	      <a>
		<!-- Add a title element to the <a> tag if a description exists for this classifier -->
		<xsl:if test="displayItem[@name='description']">
		  <xsl:attribute name='title'><xsl:value-of select="displayItem[@name='description']"/></xsl:attribute>
		</xsl:if>
		
		<!-- Add the href element to the <a> tag -->
		<xsl:choose>
		  <xsl:when test="@name">
		    <xsl:attribute name="href"><xsl:value-of select="$library_name"/>/collection/<xsl:value-of select="/page/pageResponse/collection[@name=$collNameChecked]/@name"/>/browse/<xsl:value-of select="@name"/></xsl:attribute>
		  </xsl:when>
		  <xsl:otherwise>
		    <xsl:attribute name="href"><xsl:value-of select="$library_name"/>/collection/<xsl:value-of select="/page/pageResponse/collection[@name=$collNameChecked]/@name"/>/browse/1</xsl:attribute>
		  </xsl:otherwise>
		</xsl:choose>
		
		<!-- Add the actual text of the <a> tag -->
		<xsl:value-of select="displayItem[@name='name']"/>
	      </a>
	    </li>
	  </xsl:for-each>
	</xsl:if>

	<!-- PhindApplet. Need something similar for the Collage applet too, probably -->
	<xsl:for-each select="/page/pageResponse/collection[@name=$collNameChecked]/serviceList/service[@name='PhindApplet']">
	  <li>
	    <xsl:choose>
	      <!-- If this tab is selected then colour it differently -->
	      <xsl:when test="/page/pageRequest[@action='a']">
		<xsl:attribute name='class'>ui-state-default ui-corner-top ui-tabs-selected ui-state-active</xsl:attribute>
	      </xsl:when>
	      <xsl:otherwise>
		<xsl:attribute name='class'>ui-state-default ui-corner-top</xsl:attribute>
	      </xsl:otherwise>
	    </xsl:choose>
	    
	    <a>
	      <xsl:if test="displayItem[@name='description']">
		<xsl:attribute name="title">
		  <xsl:value-of select="displayItem[@name='description']"/>
		</xsl:attribute>
	      </xsl:if>						  
	      <xsl:attribute name="href"><xsl:value-of select="$library_name"/>?a=a&amp;rt=d&amp;s=<xsl:value-of select="@name"/>&amp;c=<xsl:value-of select="/page/pageResponse/collection/@name"/></xsl:attribute>
	      <xsl:value-of select="displayItem[@name='name']"/>
	    </a>
	  </li>
	</xsl:for-each>
	
	<!-- all other services -->
	<xsl:for-each select="/page/pageResponse/collection[@name=$collNameChecked]/serviceList/service[not(@type='query') and not(@type='browse') and not (@name='PhindApplet')]">
	  <xsl:call-template name="navigationTab"/>
	</xsl:for-each>
      </ul>

      <xsl:call-template name="lodTabs"/>

      <div style="clear:both;"><xsl:text> </xsl:text></div>
    </xsl:if>
  </xsl:template>

  <xsl:template name="lodTabs">
    <ul id="gs-lod">
      <li class="ui-state-default ui-corner-top">
	<a href="{$library_name}/collection/{$collName}/page/sparql" title="Export data via SPARQL queries">SPARQL</a>
      </li>
      <li class="ui-state-default ui-corner-top">
	<a href="{$library_name}/collection/{$collName}/page/sgvizler" title="Visualize data such as countries voting patterns over the years">visualizer</a>
      </li>
    </ul>
  </xsl:template>
</xsl:stylesheet>
